config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}
config etc/burp/CA.cnf.new
config etc/burp/burp.conf.new
config etc/burp/clientconfdir/testclient.new
config etc/burp/clientconfdir/incexc/example.new
config etc/burp/burp-server.conf.new
preserve_perms etc/rc.d/rc.burp.new
( cd usr/sbin ; rm -rf bedup )
( cd usr/sbin ; ln -sf burp bedup )
( cd usr/sbin ; rm -rf bsigs )
( cd usr/sbin ; ln -sf burp bsigs )
